org.richfaces.view.facelets.html

## Class BehaviorTagHandlerDelegate

- java.lang.Object
- - javax.faces.view.facelets.TagHandlerDelegate
  - - org.richfaces.view.facelets.html.BehaviorTagHandlerDelegate

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler

      public class BehaviorTagHandlerDelegate
      extends javax.faces.view.facelets.TagHandlerDelegate
      implements javax.faces.view.AttachedObjectHandler

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorTagHandlerDelegate(CustomBehaviorHandler owner, javax.faces.view.facelets.TagHandlerDelegate wrappedHandlerDelegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
    `void` | `applyAttachedObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent parent)`
    `javax.faces.view.facelets.MetaRuleset` | `createMetaRuleset(Class type)`
    `String` | `getFor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BehaviorTagHandlerDelegate

          public BehaviorTagHandlerDelegate(CustomBehaviorHandler owner,
                                            javax.faces.view.facelets.TagHandlerDelegate wrappedHandlerDelegate)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws IOException

      Specified by:
        `apply` in class `javax.faces.view.facelets.TagHandlerDelegate`
      Throws:
        `IOException`

    - #### createMetaRuleset

          public javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

      Specified by:
        `createMetaRuleset` in class `javax.faces.view.facelets.TagHandlerDelegate`

    - #### applyAttachedObject

          public void applyAttachedObject(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent parent)

      Specified by:
        `applyAttachedObject` in interface `javax.faces.view.AttachedObjectHandler`

    - #### getFor

          public String getFor()

      Specified by:
        `getFor` in interface `javax.faces.view.AttachedObjectHandler`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.